AutoCAD Inventor :: How To Get Sketch Point Data From Sketch Entity

Dec 3, 2013

I was trying to query some sketch points data from a profile Path using code as below. However the program stopped without telling the reason.

Code below:
i = 0;
foreach (ProfileEntity oSourceProfileEntity in oProfilePath) { switch (oProfilePath[i].SketchEntity.Type) { case ObjectTypeEnum.kSketchArcObject: { SketchArc srcSkArc = default(SketchArc); srcSkArc = (SketchArc) oSourceProfileEntity.SketchEntity; // error points[i] = srcSkArc.StartSketchPoint.Geometry; break; } default: { SketchLine srcSkLine = default(SketchLine); srcSkLine =(SketchLine) oProfilePath[i].SketchEntity; // error points[i] = srcSkLine.StartSketchPoint.Geometry; break; } } i++; } 

View 2 Replies


ADVERTISEMENT

AutoCAD Inventor :: 2013 Offset Sketch Entity

Oct 24, 2012

In 2013 SP1.1 we are noticing that when using offset in a sketch, the offset line/curve is invisible and cant be seen until a zoom is done, then it appears. 

View 1 Replies View Related

AutoCAD Inventor :: Export Sketch To DXF And Control Entity Target Layers

Mar 18, 2013

Is there any way to export a sketch to DXF and control the target layer of sketch entities?

Solid Lines go to Layer=0

Construction Lines go to Layer=Construction

Center Lines go to Layer=Center

I am currently using

Sketch.DataIO.WriteDataToFile("DXF", strDXFOutputFile)

which send everything to layer=0

View 1 Replies View Related

AutoCAD Inventor :: Shared Sketch Generates Sketch Doctor Error - Feature Suppressed

Sep 21, 2011

I've created a shared sketch and have used it with various features. Sometime those features are suppressed. The model works fine but the shared sketch generates a sketch doctor error because the feature that created it has been suppressed. Is there anyway to make the sketch suppressed so it doesn't trigger a sketch doctor error? Inventor 2013

View 2 Replies View Related

AutoCAD Inventor :: Copy Part Sketch Into Drawing Sketch

Sep 20, 2012

How do I duplicate the 2D line work from a part level sketch into a drawing level (overlay) sketch?

I started a simple 2D piping system diagram sketch by opening a new part file and using a sketch to stick draw the system schematic including some annotations.  Then I opened a new drawing file and made a base view of the part file to bring a view of the original sketch into the drawing.

I realize now that it would have been much easier to have created the schematic directly in a 2D sketch at the drawing level, which would have made editing the annotations much easier at the drawing level, and there is really no need for the part file to exist.  I have no intention of creating a 3D model or "real" part in the .ipt file, was just using it as a jumping off point to sketch.

I was thinking that I could correct my error in judgment by just copying the sketch and pasting it into a new sketch on the drawing, but it doesn't want to work that way.  I have tried copying both the whole sketch at the browser level, and the entire sketch contents (all of the lines and annotations) from the opened part sketch, but when I attempt to paste either of those into the drawing, paste does not seem to be an option.  I'd rather not have to draw the whole thing again, as in typical fashion, my once simple sketch has grown in proportion and complexity from its simple beginning.

View 4 Replies View Related

AutoCAD Inventor :: Converting 3D Sketch To 2D Sketch From IGS File Using Wires?

Aug 1, 2011

First we imported an ".igs" file to inventor, which produced "wires".  Then by promoting the wires it produced a 3-d sketch. 

The model is in one plane and 2-D, and we are trying to use Ansys 2-D analysis, but in-order to do so it needs to be in a 2-D sketch.

The model is too large to be redrawn on a 2-D plane, how to convert it to a 2-D sketch

View 9 Replies View Related

AutoCAD Inventor :: Change Sketch 2013 Into Sketch Of 2010?

Dec 14, 2012

want to change sketch 2013 into the sketch of 2010 

View 1 Replies View Related

AutoCAD Inventor :: Sketch Disappears When Editing Another Sketch?

May 30, 2013

When I edit certain sketched some other sketches disappear. see attached.

This is causing modelling to slow down as I can not project lines from the sketch that has disappeared.

View 8 Replies View Related

AutoCAD Inventor :: Modify The Sketch From Projected Sketch?

Aug 22, 2012

After I create a adaptive part from projected sketch. How to modify the sketch? Please see the part attached.

View 6 Replies View Related

AutoCAD Inventor :: Difference Between Sketch And Planar Sketch?

Mar 4, 2012

what is the difference between a sketch and a planar sketch?

View 2 Replies View Related

AutoCAD Inventor :: 3D Sketch Only Allow One Edge Through A Point

Jan 18, 2012

I use vb.net draw a cube frame (just point and add edge to link points) in 3dsketch. But at the corner, I got only one edge, the others are filled that is a arc is inserted between the 2nd & 3rd edge to the corner point. There is no second edge is extended to that point.

Just wondering why I got the result. There is no fillet command in my code.

View 1 Replies View Related

AutoCAD Inventor :: Coincidence Point In 3D Sketch

Dec 15, 2012

I want to concide two points of two different lines.These two lines have been created in two different workplanes with 2D sketch.

View 7 Replies View Related

AutoCAD Inventor :: Cannot Set Values Of A Sketch Point

Jan 17, 2012

I'm trying to contrain the end points of 2 lines using iLogic. I know the end points but I cannot get the values into the SketchPoint object. The real odd thing is I can create the lines no problem. I tried it 2 different ways shown below. The first way gives me this error..."Object reference not set to an instance of an object.". The second says "Unable to cast COM object.."

Dim oTG As TransientGeometry
oTG = ThisApplication.TransientGeometry
Dim EntityEndPt As SketchPoint
EndPtX = 0 * 2.54
EndPtY = 3 * 2.54
‘Code Fails Here!
EntityStartPt.Geometry.X = EndPtX

View 5 Replies View Related

AutoCAD Inventor :: How To Get The Center Point For Sketch

Nov 11, 2013

I just want to know that how can I get the center point from a Sketch Object ?

View 1 Replies View Related

AutoCAD Inventor :: Add Sketch-point To Midpoint Of Arc?

Mar 16, 2012

How would one add a sketch-point to a midpoint of an arc? For a SketchLine its easy...

oSketch.GeometricConstraints.AddMidpoint oSketchPoint, oSketchLine

However, I can't see how to do the same operation to find the midpoint of a SketchArc. The interface of course has a selection filter for this so I assume the API can do the same?

View 6 Replies View Related

AutoCAD Inventor :: Constraining A Sketch To Another Sketch?

Aug 16, 2012

I'm having trouble with constaints, I'd like to constrain my sketch to a point in another sketch on a different plane. Is this posible in Inventor? If so how? If Inventor works differently how would you get a points in one sketch to be linked to points another?

View 2 Replies View Related

AutoCAD Inventor :: Sketch Origin Center Point

May 6, 2013

The screen shot below shows three coincident constraints and a projection icon on the origin.

 looks like a projection icon - what does it mean?

I want to delete the three coincident constraints. But when I delete the coincident constraints there is no Sketch origin center point (the sketch origin center point is a square-yellow dot at the x-y intersection). How to delete or move the three coincident constraints with out deleting the sketch origin center point?

View 2 Replies View Related

AutoCAD Inventor :: Can't Use Sketch To Create Point Or Axis

Oct 4, 2011

I have this assembly shown in the pic. below. I'm trying to create a point or axis in the blue corner points (to attaches something later on) but it just won't let me choose it for some reason. I know that it's possible to to do that (almost sure I already done this trivial thing in inventor.)

Any reason it's not letting me choose the sketch points/line to in order to create points or axis(s)?

Inventor 2012 Pro.
I7 workstation

View 8 Replies View Related

AutoCAD Inventor :: How To Make A Plane Through Sketch Point

Sep 27, 2013

I cannot make a plane parallel to a surface and through a sketch point.

I can't also select the sketch point or line in order to make an axis. the sketch point, line from the sketch or anything from a sketch isn't selectable.

View 4 Replies View Related

AutoCAD Inventor :: Retrieve Start Point On New Sketch

Apr 24, 2012

how do I retrieve the centre point in my design axis in Inventor, when I create a new sketch, like the point at x0:y0:z0

View 2 Replies View Related

AutoCAD Inventor :: Can't Grab / Move Any Point On Sketch

Sep 20, 2013

It goes f.e. like this:

I draw a line (no constrains) and I can move it by grabing an end or whole line by click&hold mouse button, great.

But after couple minutes of work with part and sketches I can't grab anything. Even on new created sketches and new lines. Click and drag just open rectangle selection. Oh, between these phases there is a phase when 2nd click&hold works...

When I open/create another part it is normall, but this one I must close and open again.

View 2 Replies View Related

AutoCAD Inventor :: Extraneous Data When Inserting Drawings Into Sketch

May 3, 2012

When I insert a drawing from ACAD into an Inventor sketch I get the geometry I want but also allot of points or blocks are inserted also that are not in the original ACAD drawing at all. I cant pick these points to delete them even though they highlight when picked.......

View 2 Replies View Related

AutoCAD Inventor :: Turned Off Snap To End Point In Sketch Mode?

Oct 19, 2011

Inventor 2010

Some how I turned off the snap to end point in the sketch mode. where is the dialog box to control snap settings

View 2 Replies View Related

AutoCAD Inventor :: Using ILogic To Find Sketch Point Locations

Jul 11, 2012

I would like to use iLogic to find the location of the points of a line, determine if the line is approximately vertical, and apply a vertical constraint if it is vertical.

Here is the code process I envision:

1. Automatically select a straight line.

2. Find the location of its end points.

3. Compare the X-value of the end points to see if they are vertically aligned (or almost so).

4. If they are vertically aligned, apply a vertical constraint.

5. Select next line and repeat.

Is this possible with iLogic? I don't see any way of calling a line's sketch points or finding their location.

View 4 Replies View Related

AutoCAD Inventor :: 2 Point Centre Rectangle Sketch Offset

Jul 9, 2013

I know why you cant loop select and offset the rectangle but surley if you are going to take the time to listen to users and create requested tools, you should do it well?

View 4 Replies View Related

AutoCAD Inventor :: How To Click On Two Lines In A Part Sketch And Get There Intersection Point Using VBA

Oct 29, 2013

In assembly mode, how can I click on two lines in a part sketch and get there intersection point using VBA?

View 3 Replies View Related

AutoCAD Inventor :: Constraining A Part To A Sketch Point In The Assembly Environment

Aug 7, 2012

Unfortunately, it's chock full of proprietary customer data, so I can't share the parts or the assembly.  But I can pretty well explain what needs to happen, and I've attached a JPG that shows a bit of what I'm doing.

I need to design a bracket to hold an RPM sensor at a certain gap to a spiral bevel gear.  I've got a huge assembly model (non-Inventor) from the customer, as well as the model for the sensor.  My plan is to start a master IAM, insert the customer assembly, insert the sensor and constrain him, and draw the various hardware I need around the sensor.

So I start by making a work plane that matches the bevel angle and is in a location so the end of my sensor will be flush to that plane.  Create a sketch on that plane, then project 2 relevant axes to create the appropriate "origin" from which my location will be based.  Place a point on one line, at a certain radial distance and constrain my point.

So now I've got a point and a plane that are where I want my sensing face and my centerline axis to be.  What now?  I was thinking that I'd create a work axis "normal to plane through a point", but this workflow isn't available in the assembly environment.  I can't constrain a solid to a sketch point, so I really don't know what to do at this point in order to put the part where I need it.

View 2 Replies View Related

AutoCAD Inventor :: Export Start And End Point Of Various Lines In Sketch To Excel File?

Oct 26, 2012

I have been searching for a macro to export the start and end point of a line coordinates to excel, but I can only find information on how to export 3D Points.

Is it possible to program a macro that allows me to export the start and end point of various lines in a sketch?

The objective of this is to connect an excel file which is updated when I create a line with it correspondent points, then i could not only import these x,y,z coordinates from excel to inventor but I whould be able to update my spreedsheet whenever I change my sketch.

View 1 Replies View Related

Photoshop :: Sketch-Up Output To Actual Sketch

Aug 31, 2006

I work in Sketch-Up a lot creating urban streetscapes and such as I am the graphics person at a community planning consulting firm. Sketch-Up is great for quickly drawing and creating 3D models of screens; however, it is not good for producing a great looking final image to show to a client. What I want to do is export a 2D graphic from Sketch-Up and make it look like it was hand drawn. I am semi-proficient in Photoshop, meaning I can follow a tutorial and be able to tweak and apply what I learned to fit my needs but I can't seem to find something that gives me what exactly what I'm looking for. I've uploaded an image that represents the style I am looking for. This one was done by hand on tracing paper. I can't draw by hand to save my life so I want to create the model in Sketch-Up, export the screen as a JPEG, load into Photoshop and process to make it look like it was done by hand.

View 3 Replies View Related

AutoCAD Inventor :: Cannot See Sketch

Oct 22, 2013

Just installed inventor on a new PC. When I go to sketch a line it appears to be drawn but nothing is being created.

View 4 Replies View Related

AutoCAD Inventor :: 3D Sketch - Offset

Apr 18, 2013

Is it possible to offset this 3D sketch1, it must still follow the curvature.

View 9 Replies View Related







Copyrights 2005-15 www.BigResource.com, All rights reserved